View Issue Details

IDProjectCategoryView StatusLast Update
0006606Talerdeployment and operationspublic2020-10-03 14:10
ReporterFlorian Dold Assigned ToMS  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006606: taler-deployment-prepare doesn't create merchant instances
DescriptionCalling taler-deployment-prepare is supposed to do all necessary steps to prepare the deployment, that should include configuring merchant instances.
TagsNo tags attached.

Activities

MS

2020-09-14 14:00

manager   ~0016971

Yes, but taler-deployment-prepare does everything that does *not* require any running service (keying / bank password changes / db init), and usually it executes BEFORE "taler-deployment-start". In contrast, "taler-config-instances" does need running services (= the merchant backend), therefore it must go AFTER "taler-deployment-start".

Potential solutions:

taler-deployment-prepare could be modified to include this step (as the bug suggests), but you would inevitably need to call it in a second step, after the services launched. We don't gain too much in this case.

Another option would be that the prepare script leaves some process in the background that *waits* for the merchant backend to be launched. IMO, that's not really worth it.

What do you think?

MS

2020-09-15 13:16

manager   ~0016973

Alternative: launch merchant along the prepare step -> configure the instances -> stop the merchant.

MS

2020-09-17 13:44

manager   ~0016975

Fixed here: 3449cb83bd42a1d6db9a94e985c7141be03f4c11

Issue History

Date Modified Username Field Change
2020-09-13 21:02 Florian Dold New Issue
2020-09-13 21:02 Florian Dold Status new => assigned
2020-09-13 21:02 Florian Dold Assigned To => MS
2020-09-14 14:00 MS Note Added: 0016971
2020-09-15 13:16 MS Note Added: 0016973
2020-09-17 13:44 MS Note Added: 0016975
2020-09-17 13:44 MS Status assigned => resolved
2020-09-17 13:44 MS Resolution open => fixed
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8